/*
 * test.c 
 *
 * Used to test the read.c driver for testing the read module. 
 * 
 * Copyright (C) 2004 Shakthi Kannan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>

int main (void) 
{
	int fd;
	char buff[128]; 

	fd = open ("/dev/read",O_RDWR);
	if (fd < 0)
		exit(0);

	memset (buff, '\0', 128);

  printf ("\n/dev/read opened, fd=%d\n",fd);
	printf ("sizeof(buff)=%d\n",sizeof(buff));
	printf ("Read returns %d\n", read (fd, buff, sizeof(buff)));
	buff[127]='0';
	printf ("buff = %s\n",buff);
	close (fd);
	return 0;
}
