/*
 * sbull.h
 *
 * header file for sbull.c
 */

#define SBULL_MAJOR 250
#define SBULL_DEVS 1
#define SBULL_RAHEAD 2
#define SBULL_SIZE 64 
#define SBULL_BLKSIZE 1024
#define SBULL_HARDSECT 512

typedef struct Sbull_Dev {
	int size;
	int usage;
	struct timer_list timer;
	spinlock_t lock;
	unsigned char *data;
	request_queue_t queue;
	int busy;
} Sbull_Dev;
	
